package com.zhongzheng.modules.base.service;

import com.zhongzheng.modules.base.domain.UserProfile;
import com.zhongzheng.modules.base.vo.UserProfileVo;
import com.zhongzheng.modules.base.bo.UserProfileQueryBo;
import com.zhongzheng.modules.base.bo.UserProfileAddBo;
import com.zhongzheng.modules.base.bo.UserProfileEditBo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.poi.openxml4j.exceptions.InvalidFormatException;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Collection;
import java.util.List;

/**
 * 填写资料审核Service接口
 *
 * @author ruoyi
 * @date 2021-12-20
 */
public interface IUserProfileService extends IService<UserProfile> {
	/**
	 * 查询单个
	 * @return
	 */
	UserProfileVo queryById(Long id);

	/**
	 * 查询列表
	 */
	List<UserProfileVo> queryList(UserProfileQueryBo bo);

	/**
	 * 根据新增业务对象插入填写资料审核
	 * @param bo 填写资料审核新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(UserProfileAddBo bo);

	/**
	 * 根据编辑业务对象修改填写资料审核
	 * @param bo 填写资料审核编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(UserProfileEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	String addWord(UserProfileAddBo bo) throws IOException;

	UserProfileVo getInfo(UserProfileQueryBo bo);

	boolean updateAuditByEditBo(UserProfileEditBo bo);

	List<UserProfileVo> listRecord(UserProfileQueryBo bo);
}
